package java.sql;

import java.util.Map;

public class SQLClientInfoException extends SQLException
{
    private Map<String, ClientInfoStatus> failedProperties;
    private static final long serialVersionUID = -4319604256824655880L;
    
    public SQLClientInfoException() {
        this.failedProperties = null;
    }
    
    public SQLClientInfoException(Map<String, ClientInfoStatus> failedProperties) {
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(Map<String, ClientInfoStatus> failedProperties, Throwable cause) {
        super((cause != null) ? cause.toString() : null);
        this.initCause(cause);
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(String s, Map<String, ClientInfoStatus> failedProperties) {
        super(s);
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(String s, Map<String, ClientInfoStatus> failedProperties, Throwable cause) {
        super(s);
        this.initCause(cause);
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(String s, String s2, Map<String, ClientInfoStatus> failedProperties) {
        super(s, s2);
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(String s, String s2, Map<String, ClientInfoStatus> failedProperties, Throwable cause) {
        super(s, s2);
        this.initCause(cause);
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(String s, String s2, int n, Map<String, ClientInfoStatus> failedProperties) {
        super(s, s2, n);
        this.failedProperties = failedProperties;
    }
    
    public SQLClientInfoException(String s, String s2, int n, Map<String, ClientInfoStatus> failedProperties, Throwable cause) {
        super(s, s2, n);
        this.initCause(cause);
        this.failedProperties = failedProperties;
    }
    
    public Map<String, ClientInfoStatus> getFailedProperties() {
        return this.failedProperties;
    }
}
